Bug 818296 - [abrt] vdsm-cli-4.9.6-0.170.git93b2521.fc16.root1335975595: vdsClient.py:28:<module>:ImportError: cannot import name vdscli
[abrt] vdsm-cli-4.9.6-0.170.git93b2521.fc16.root1335975595: vdsClient.py:28:<...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Federico Simoncelli
Fedora Extras Quality Assurance
abrt_hash:81bc8b0d80b3f2bebd4691ca422...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 12:37 EDT by Shaohe Feng
Modified: 2012-06-09 16:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 16:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: kernel-crash (5.00 KB, text/plain)
2012-05-02 12:38 EDT, Shaohe Feng
no flags Details

  None (edit)
Description Shaohe Feng 2012-05-02 12:37:56 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python -m vdsClient
executable:     /usr/share/vdsm/vdsClient.py
kernel:         3.2.6-3.fc16.x86_64
reason:         vdsClient.py:28:<module>:ImportError: cannot import name vdscli
reported_to:    file: kernel-crash
time:           Thu 03 May 2012 12:35:40 AM CST
uid:            1000
username:       shhfeng

kernel-crash:   Text file, 5122 bytes

backtrace:
:vdsClient.py:28:<module>:ImportError: cannot import name vdscli
:
:Traceback (most recent call last):
:  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
:    "__main__", fname, loader, pkg_name)
:  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
:    exec code in run_globals
:  File "/usr/share/vdsm/vdsClient.py", line 28, in <module>
:    from vdsm import vdscli
:ImportError: cannot import name vdscli
:
:Local variables in innermost frame:
:pp: <module 'pprint' from '/usr/lib64/python2.7/pprint.pyc'>
:socket: <module 'socket' from '/usr/lib64/python2.7/socket.pyc'>
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/share/vdsm/vdsClient.py'
:traceback: <module 'traceback' from '/usr/lib64/python2.7/traceback.pyc'>
:xmlrpclib: <module 'xmlrpclib' from '/usr/lib64/python2.7/xmlrpclib.pyc'>
:__package__: ''
:sys: <module 'sys' (built-in)>
:re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
:getopt: <module 'getopt' from '/usr/lib64/python2.7/getopt.pyc'>
:__name__: '__main__'
:__loader__: <pkgutil.ImpLoader instance at 0x7f2efe2cca28>
:__doc__: None

event_log:
:2012-05-03-00:37:31> Smolt profile successfully saved
:2012-05-03-00:37:47> The report was appended to kernel-crash

smolt_data:
:
:
:General
:=================================
:UUID: 3447a589-f424-4ec3-8e4d-ccf8dd613d3a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5320.60
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 3817
:System Swap: 3904
:Vendor: LENOVO
:System: 2522AZ8 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:6058:8596) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:6058:8591) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2668:6058:8514) pci, nouveau, VIDEO, ThinkPad T410
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 8647396 4716542 4283147 2170880 1754333 1754333
:/dev/sda7 /home ext4 4096 4096 49938290 30994531 28494538 12500992 11717354 11717354
:
Comment 1 Shaohe Feng 2012-05-02 12:38:03 EDT
Created attachment 581662 [details]
File: kernel-crash
Comment 2 Dan Kenigsberg 2012-06-09 16:39:44 EDT
Please re-open if you have installed the required vdsm-python.rpm before running the script.

Note You need to log in before you can comment on or make changes to this bug.